Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network239.136.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
239.136.0.0
Broadcast address
239.139.255.255
First usable
239.136.0.1
Last usable
239.139.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EF880000 · Integer 4018667520 to 4018929663
Reverse DNS zones
136.239.in-addr.arpa
137.239.in-addr.arpa
138.239.in-addr.arpa
139.239.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101111.10001000.00000000.00000000239.136.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network11101111.10001000.00000000.00000000239.136.0.0
Broadcast11101111.10001011.11111111.11111111239.139.255.255
Split into smaller subnets/21

239.136.0.0/14 makes 128 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1239.136.0.0/21239.136.0.1 to 239.136.7.254239.136.7.2552,046
2239.136.8.0/21239.136.8.1 to 239.136.15.254239.136.15.2552,046
3239.136.16.0/21239.136.16.1 to 239.136.23.254239.136.23.2552,046
4239.136.24.0/21239.136.24.1 to 239.136.31.254239.136.31.2552,046
5239.136.32.0/21239.136.32.1 to 239.136.39.254239.136.39.2552,046
6239.136.40.0/21239.136.40.1 to 239.136.47.254239.136.47.2552,046
7239.136.48.0/21239.136.48.1 to 239.136.55.254239.136.55.2552,046
8239.136.56.0/21239.136.56.1 to 239.136.63.254239.136.63.2552,046
9239.136.64.0/21239.136.64.1 to 239.136.71.254239.136.71.2552,046
10239.136.72.0/21239.136.72.1 to 239.136.79.254239.136.79.2552,046
11239.136.80.0/21239.136.80.1 to 239.136.87.254239.136.87.2552,046
12239.136.88.0/21239.136.88.1 to 239.136.95.254239.136.95.2552,046
13239.136.96.0/21239.136.96.1 to 239.136.103.254239.136.103.2552,046
14239.136.104.0/21239.136.104.1 to 239.136.111.254239.136.111.2552,046
15239.136.112.0/21239.136.112.1 to 239.136.119.254239.136.119.2552,046
16239.136.120.0/21239.136.120.1 to 239.136.127.254239.136.127.2552,046
17239.136.128.0/21239.136.128.1 to 239.136.135.254239.136.135.2552,046
18239.136.136.0/21239.136.136.1 to 239.136.143.254239.136.143.2552,046
19239.136.144.0/21239.136.144.1 to 239.136.151.254239.136.151.2552,046
20239.136.152.0/21239.136.152.1 to 239.136.159.254239.136.159.2552,046
21239.136.160.0/21239.136.160.1 to 239.136.167.254239.136.167.2552,046
22239.136.168.0/21239.136.168.1 to 239.136.175.254239.136.175.2552,046
23239.136.176.0/21239.136.176.1 to 239.136.183.254239.136.183.2552,046
24239.136.184.0/21239.136.184.1 to 239.136.191.254239.136.191.2552,046
25239.136.192.0/21239.136.192.1 to 239.136.199.254239.136.199.2552,046
26239.136.200.0/21239.136.200.1 to 239.136.207.254239.136.207.2552,046
27239.136.208.0/21239.136.208.1 to 239.136.215.254239.136.215.2552,046
28239.136.216.0/21239.136.216.1 to 239.136.223.254239.136.223.2552,046
29239.136.224.0/21239.136.224.1 to 239.136.231.254239.136.231.2552,046
30239.136.232.0/21239.136.232.1 to 239.136.239.254239.136.239.2552,046
31239.136.240.0/21239.136.240.1 to 239.136.247.254239.136.247.2552,046
32239.136.248.0/21239.136.248.1 to 239.136.255.254239.136.255.2552,046
33239.137.0.0/21239.137.0.1 to 239.137.7.254239.137.7.2552,046
34239.137.8.0/21239.137.8.1 to 239.137.15.254239.137.15.2552,046
35239.137.16.0/21239.137.16.1 to 239.137.23.254239.137.23.2552,046
36239.137.24.0/21239.137.24.1 to 239.137.31.254239.137.31.2552,046
37239.137.32.0/21239.137.32.1 to 239.137.39.254239.137.39.2552,046
38239.137.40.0/21239.137.40.1 to 239.137.47.254239.137.47.2552,046
39239.137.48.0/21239.137.48.1 to 239.137.55.254239.137.55.2552,046
40239.137.56.0/21239.137.56.1 to 239.137.63.254239.137.63.2552,046
41239.137.64.0/21239.137.64.1 to 239.137.71.254239.137.71.2552,046
42239.137.72.0/21239.137.72.1 to 239.137.79.254239.137.79.2552,046
43239.137.80.0/21239.137.80.1 to 239.137.87.254239.137.87.2552,046
44239.137.88.0/21239.137.88.1 to 239.137.95.254239.137.95.2552,046
45239.137.96.0/21239.137.96.1 to 239.137.103.254239.137.103.2552,046
46239.137.104.0/21239.137.104.1 to 239.137.111.254239.137.111.2552,046
47239.137.112.0/21239.137.112.1 to 239.137.119.254239.137.119.2552,046
48239.137.120.0/21239.137.120.1 to 239.137.127.254239.137.127.2552,046
49239.137.128.0/21239.137.128.1 to 239.137.135.254239.137.135.2552,046
50239.137.136.0/21239.137.136.1 to 239.137.143.254239.137.143.2552,046
51239.137.144.0/21239.137.144.1 to 239.137.151.254239.137.151.2552,046
52239.137.152.0/21239.137.152.1 to 239.137.159.254239.137.159.2552,046
53239.137.160.0/21239.137.160.1 to 239.137.167.254239.137.167.2552,046
54239.137.168.0/21239.137.168.1 to 239.137.175.254239.137.175.2552,046
55239.137.176.0/21239.137.176.1 to 239.137.183.254239.137.183.2552,046
56239.137.184.0/21239.137.184.1 to 239.137.191.254239.137.191.2552,046
57239.137.192.0/21239.137.192.1 to 239.137.199.254239.137.199.2552,046
58239.137.200.0/21239.137.200.1 to 239.137.207.254239.137.207.2552,046
59239.137.208.0/21239.137.208.1 to 239.137.215.254239.137.215.2552,046
60239.137.216.0/21239.137.216.1 to 239.137.223.254239.137.223.2552,046
61239.137.224.0/21239.137.224.1 to 239.137.231.254239.137.231.2552,046
62239.137.232.0/21239.137.232.1 to 239.137.239.254239.137.239.2552,046
63239.137.240.0/21239.137.240.1 to 239.137.247.254239.137.247.2552,046
64239.137.248.0/21239.137.248.1 to 239.137.255.254239.137.255.2552,046
65239.138.0.0/21239.138.0.1 to 239.138.7.254239.138.7.2552,046
66239.138.8.0/21239.138.8.1 to 239.138.15.254239.138.15.2552,046
67239.138.16.0/21239.138.16.1 to 239.138.23.254239.138.23.2552,046
68239.138.24.0/21239.138.24.1 to 239.138.31.254239.138.31.2552,046
69239.138.32.0/21239.138.32.1 to 239.138.39.254239.138.39.2552,046
70239.138.40.0/21239.138.40.1 to 239.138.47.254239.138.47.2552,046
71239.138.48.0/21239.138.48.1 to 239.138.55.254239.138.55.2552,046
72239.138.56.0/21239.138.56.1 to 239.138.63.254239.138.63.2552,046
73239.138.64.0/21239.138.64.1 to 239.138.71.254239.138.71.2552,046
74239.138.72.0/21239.138.72.1 to 239.138.79.254239.138.79.2552,046
75239.138.80.0/21239.138.80.1 to 239.138.87.254239.138.87.2552,046
76239.138.88.0/21239.138.88.1 to 239.138.95.254239.138.95.2552,046
77239.138.96.0/21239.138.96.1 to 239.138.103.254239.138.103.2552,046
78239.138.104.0/21239.138.104.1 to 239.138.111.254239.138.111.2552,046
79239.138.112.0/21239.138.112.1 to 239.138.119.254239.138.119.2552,046
80239.138.120.0/21239.138.120.1 to 239.138.127.254239.138.127.2552,046
81239.138.128.0/21239.138.128.1 to 239.138.135.254239.138.135.2552,046
82239.138.136.0/21239.138.136.1 to 239.138.143.254239.138.143.2552,046
83239.138.144.0/21239.138.144.1 to 239.138.151.254239.138.151.2552,046
84239.138.152.0/21239.138.152.1 to 239.138.159.254239.138.159.2552,046
85239.138.160.0/21239.138.160.1 to 239.138.167.254239.138.167.2552,046
86239.138.168.0/21239.138.168.1 to 239.138.175.254239.138.175.2552,046
87239.138.176.0/21239.138.176.1 to 239.138.183.254239.138.183.2552,046
88239.138.184.0/21239.138.184.1 to 239.138.191.254239.138.191.2552,046
89239.138.192.0/21239.138.192.1 to 239.138.199.254239.138.199.2552,046
90239.138.200.0/21239.138.200.1 to 239.138.207.254239.138.207.2552,046
91239.138.208.0/21239.138.208.1 to 239.138.215.254239.138.215.2552,046
92239.138.216.0/21239.138.216.1 to 239.138.223.254239.138.223.2552,046
93239.138.224.0/21239.138.224.1 to 239.138.231.254239.138.231.2552,046
94239.138.232.0/21239.138.232.1 to 239.138.239.254239.138.239.2552,046
95239.138.240.0/21239.138.240.1 to 239.138.247.254239.138.247.2552,046
96239.138.248.0/21239.138.248.1 to 239.138.255.254239.138.255.2552,046
97239.139.0.0/21239.139.0.1 to 239.139.7.254239.139.7.2552,046
98239.139.8.0/21239.139.8.1 to 239.139.15.254239.139.15.2552,046
99239.139.16.0/21239.139.16.1 to 239.139.23.254239.139.23.2552,046
100239.139.24.0/21239.139.24.1 to 239.139.31.254239.139.31.2552,046
101239.139.32.0/21239.139.32.1 to 239.139.39.254239.139.39.2552,046
102239.139.40.0/21239.139.40.1 to 239.139.47.254239.139.47.2552,046
103239.139.48.0/21239.139.48.1 to 239.139.55.254239.139.55.2552,046
104239.139.56.0/21239.139.56.1 to 239.139.63.254239.139.63.2552,046
105239.139.64.0/21239.139.64.1 to 239.139.71.254239.139.71.2552,046
106239.139.72.0/21239.139.72.1 to 239.139.79.254239.139.79.2552,046
107239.139.80.0/21239.139.80.1 to 239.139.87.254239.139.87.2552,046
108239.139.88.0/21239.139.88.1 to 239.139.95.254239.139.95.2552,046
109239.139.96.0/21239.139.96.1 to 239.139.103.254239.139.103.2552,046
110239.139.104.0/21239.139.104.1 to 239.139.111.254239.139.111.2552,046
111239.139.112.0/21239.139.112.1 to 239.139.119.254239.139.119.2552,046
112239.139.120.0/21239.139.120.1 to 239.139.127.254239.139.127.2552,046
113239.139.128.0/21239.139.128.1 to 239.139.135.254239.139.135.2552,046
114239.139.136.0/21239.139.136.1 to 239.139.143.254239.139.143.2552,046
115239.139.144.0/21239.139.144.1 to 239.139.151.254239.139.151.2552,046
116239.139.152.0/21239.139.152.1 to 239.139.159.254239.139.159.2552,046
117239.139.160.0/21239.139.160.1 to 239.139.167.254239.139.167.2552,046
118239.139.168.0/21239.139.168.1 to 239.139.175.254239.139.175.2552,046
119239.139.176.0/21239.139.176.1 to 239.139.183.254239.139.183.2552,046
120239.139.184.0/21239.139.184.1 to 239.139.191.254239.139.191.2552,046
121239.139.192.0/21239.139.192.1 to 239.139.199.254239.139.199.2552,046
122239.139.200.0/21239.139.200.1 to 239.139.207.254239.139.207.2552,046
123239.139.208.0/21239.139.208.1 to 239.139.215.254239.139.215.2552,046
124239.139.216.0/21239.139.216.1 to 239.139.223.254239.139.223.2552,046
125239.139.224.0/21239.139.224.1 to 239.139.231.254239.139.231.2552,046
126239.139.232.0/21239.139.232.1 to 239.139.239.254239.139.239.2552,046
127239.139.240.0/21239.139.240.1 to 239.139.247.254239.139.247.2552,046
128239.139.248.0/21239.139.248.1 to 239.139.255.254239.139.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses